slepc-3.10.1 2018-10-23
Report Typos and Errors

# MFNSolve

Solves the matrix function problem. Given a vector b, the vector x = f(A)*b is returned.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSolve(MFN mfn,Vec b,Vec x)

Collective on MFN

### Input Parameters

| mfn | - matrix function context obtained from MFNCreate()
| b | - the right hand side vector

### Output Parameter

| x | - the solution (this may be the same vector as b, then b will be overwritten with the answer)

### Options Database Keys

| -mfn_view | - print information about the solver used
| -mfn_view_mat binary | - save the matrix to the default binary viewer
| -mfn_view_rhs binary | - save right hand side vector to the default binary viewer
| -mfn_view_solution binary | - save computed solution vector to the default binary viewer
| -mfn_converged_reason | - print reason for convergence, and number of iterations

### Notes

The matrix A is specified with MFNSetOperator(). The function f is specified with MFNSetFN().

### See Also

MFNCreate(), MFNSetUp(), MFNDestroy(), MFNSetTolerances(),
MFNSetOperator(), MFNSetFN()

Location: src/mfn/interface/mfnsolve.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex36.c.html
src/mfn/examples/tutorials/ex23.c.html
src/mfn/examples/tutorials/ex26.c.html
src/mfn/examples/tutorials/ex37.c.html
src/mfn/examples/tutorials/ex39.c.html
src/mfn/examples/tutorials/ex23f90.F90.html